Main Menu
Login
SSL SecureMode
Username:
Password:  
Lost Password?
Register now!
ChangeVision Members Map
Search
Forum Index   -   Topic Index
   How to use of Astah (Pro/SysML/GSN/Com)
     JUDE with Java1.5

Threaded | Oldest First Previous Topic | Next Topic | Bottom
Poster Thread
midori
Posted on: 2006/11/6 8:35
Developer
Joined: 2006/7/3
From:
Posts: 324
JUDE with Java1.5
Teese posts have been deleted accidentally.

clombardi Posted on: 2006/6/15 2:00
Just popping in

Jude is a fine product, but needs to be able to read Java 1.5 code with generics. I'm migrating my products and examples, and Jude is not as useful it could be.

Does the Jude team plan to release a version able to read Java 1.5 code this year?

Regards - Carlos


Anonymous Posted on: 2006/6/17 0:15
Re: Jude with Java 1.5
Post from pharapiak as a guest
---

I agree!

I've been using Jude for a few years now, and I've been quite pleased with it.

However, my latest employer is using JDK 1.5, and I'm finding it embarrasing to help others pull 1.5 code into Jude (lots of code massaging!)

Are there plans for 1.5 support?


Joba Posted on: 2006/6/27 15:10
Developer

Dear Carlos and Anonymous,

Thank you guys for using JUDE & posting your comments!

We have been asked this question alot lately.
Supporting Java1.5 for Import Java was not a top thing to do on our list but since we have got alot of requests for support 1.5, we are facing the fact that there are alot of demands for that.
So we will sincerely take your requests and consider putting up the task to do for [support 1.5] top on our list.
We can not promise that we can do it in this year, Carlos.
but hopefully soon enough. i will keep it posted how it goes.
Thanks.


douglasddf Posted on: 2006/9/1 21:16
Just popping in

I think that this problem (import java 5) is important for JUDE community. In my enterprise was need a reverse engineer from the source code. Well, isnít possible because these bug.


Joba Posted on: 2006/9/26 14:06
Developer

Thank you very much for your post Emanuel.
Also thank you for loving JUDE and your suggestion!

Yes. We really do plan to support Import Java 1.5.
As I have already announced that it has not been clear when it will be done
at the moment still.
But I just wanted to let you and all know that this feature has been surely considered
to be supported in future release again and also we, all of members in JUDE Development team do check out all JUDE Users posts on JUDE Community Site every day and hear what they want.

P.s. I am terribly sorry Emanuel.. I happened to delete your post by accident..


Anonymous Posted on: 2006/9/27 22:28
Re: Jude with Java 1.5
Post from Regis Maciel as a guest
---

I've the same problem, so I think this is a urgent feature.

Thank's

Regis
S„o Paulo - Brasil


Joba Posted on: 2006/10/3 16:26
Developer

Hello everybody.
I am pleased to post a little detail of our plan to support Java 1.5 for Import Java on here finally.

Hopefully we can start supporting it in the next release (planned to be released at end of October) or at least in another release which will be in 3-4 months.

I will keep it posted how it goes.

-Best Wishes,
Satomi


Joba Posted on: 2006/10/20 8:08
Developer

Hi Folks!

In JUDE/Professional 3.1 Beta2, it finally started supporting a part of Java5.0 for [Import Java] function! (Generics are currently imported as normal classes.)

Full support of Java5.0 for [Import Java] will be implemented soon in future release!
Threaded | Oldest First Previous Topic | Next Topic | Top